Debian Bug report logs - #611032
debian-installer: Instaler does not prompt for loading firmware-ralink for Linksys WUSB54GC wlan card

version graph

Package: hw-detect; Maintainer for hw-detect is Debian Install System Team <debian-boot@lists.debian.org>; Source for hw-detect is src:hw-detect.

Reported by: marcin <mircan@poczta.onet.pl>

Date: Mon, 24 Jan 2011 22:57:02 UTC

Severity: normal

Tags: d-i

Fixed in version 1.88

Done: Petter Reinholdtsen <pere@hungry.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mircan@poczta.onet.pl, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611032; Package debian-installer. (Mon, 24 Jan 2011 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to marcin <mircan@poczta.onet.pl>:
New Bug report received and forwarded. Copy sent to mircan@poczta.onet.pl, Debian Install System Team <debian-boot@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

squueze - rc 2

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 24 Jan 2011 22:57:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: marcin <mircan@poczta.onet.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: Instaler does not prompt for loading firmware-ralink for Linksys WUSB54GC wlan card
Date: Mon, 24 Jan 2011 23:54:47 +0100
Package: debian-installer
Version: squueze - rc 2
Severity: normal
Tags: d-i

Debian instaler does not prompt for loading firmware-ralink for Linksys
WUSB54GC wlan card during the installation process. Even the unofficial version
including non-free firmware did not install the firmware-ralink package during
the installation. Consequently, in both cases (using the official installer and
the one including firmware) it is impossible to access wireless network during
installation.



-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'debian-installer' to 'hw-detect'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 16:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611032; Package hw-detect. (Thu, 12 Jan 2012 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 12 Jan 2012 01:42:03 GMT) Full text and rfc822 format available.

Message #12 received at 611032@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: marcin <mircan@poczta.onet.pl>
Cc: 611032@bugs.debian.org
Subject: Re: Bug#611032: debian-installer: Instaler does not prompt for loading firmware-ralink for Linksys WUSB54GC wlan card
Date: Thu, 12 Jan 2012 02:37:57 +0100
[Marcin]
> Debian instaler does not prompt for loading firmware-ralink for
> Linksys WUSB54GC wlan card during the installation process. Even the
> unofficial version including non-free firmware did not install the
> firmware-ralink package during the installation. Consequently, in
> both cases (using the official installer and the one including
> firmware) it is impossible to access wireless network during
> installation.

I would guess this is caused by the kernel driver not requesting
firmware in a way handled by hw-detect.  Can you provide more
information, like the output from dmesg when the driver is loaded?

I suspect this need to be fixed in the kernel and not in hw-detect,
but am not sure.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611032; Package hw-detect. (Fri, 20 Jan 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Godlewski <mgodlevski@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 20 Jan 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #17 received at 611032@bugs.debian.org (full text, mbox):

From: Marcin Godlewski <mgodlevski@gmail.com>
To: 611032@bugs.debian.org
Subject: Re: Bug#611032: debian-installer: Instaler does not prompt for loading firmware-ralink for Linksys WUSB54GC wlan card
Date: Fri, 20 Jan 2012 16:35:17 +0100
Unfortunatelly I have moved to wheezy and cannot provide information
relevant for squeeze. But fortunatelly, as I have checked, wheezy with
kernel 3.1 loades the firmware correctly during installation.

Geetings,
Marcin

2012/1/12 Petter Reinholdtsen <pere@hungry.com>:


> [Marcin]
>> Debian instaler does not prompt for loading firmware-ralink for
>> Linksys WUSB54GC wlan card during the installation process. Even the
>> unofficial version including non-free firmware did not install the
>> firmware-ralink package during the installation. Consequently, in
>> both cases (using the official installer and the one including
>> firmware) it is impossible to access wireless network during
>> installation.
>
> I would guess this is caused by the kernel driver not requesting
> firmware in a way handled by hw-detect.  Can you provide more
> information, like the output from dmesg when the driver is loaded?
>
> I suspect this need to be fixed in the kernel and not in hw-detect,
> but am not sure.
> --
> Happy hacking
> Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. (Mon, 23 Jan 2012 01:51:04 GMT) Full text and rfc822 format available.

Notification sent to marcin <mircan@poczta.onet.pl>:
Bug acknowledged by developer. (Mon, 23 Jan 2012 01:51:04 GMT) Full text and rfc822 format available.

Message #22 received at 611032-done@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 611032-done@bugs.debian.org
Subject: Re: Bug#611032: debian-installer: Instaler does not prompt for loading firmware-ralink for Linksys WUSB54GC wlan card
Date: Mon, 23 Jan 2012 02:46:08 +0100
Version: 1.88

[mircan@poczta.onet.pl]
> Unfortunatelly I have moved to wheezy and cannot provide information
> relevant for squeeze. But fortunatelly, as I have checked, wheezy with
> kernel 3.1 loades the firmware correctly during installation.

OK.  Then I guess it is time to close this report as fixed in version
1.88.  It might be present in 1.84+squeeze2, but I suspect the problem
really was in some other package.
-- 
Happy hacking
Petter Reinholdtsen




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Feb 2012 07:37:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:32:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.